<?php
/*
¤ Name: UBlog
¤ Author: Brama Udi
¤ Email: udiflow27@gmail.com
¤ Facebook: fb.me/cyromage
*/

define('UDI','http://'.$_SERVER['HTTP_HOST']);
header('Cache-control: no-cache');
$judul = 'Instalasi UBlog';
require_once('./inc/head.php');
echo '<div class="ttl">'.$judul.'</div>';

if (isset($_GET['hajar'])) {
$dbhost = htmlspecialchars(trim($_POST['dbhost']));
$dbname = htmlspecialchars(trim($_POST['dbname']));
$dbuser = htmlspecialchars(trim($_POST['dbuser']));
$dbpass = htmlspecialchars(trim($_POST['dbpass']));

$login = htmlspecialchars(trim(str_replace(' ','',$_POST['login'])));
$full = htmlspecialchars(trim($_POST['full']));
$pass = htmlspecialchars(trim($_POST['pass']));

$error = 0;

$konek = mysqli_connect($dbhost, $dbuser, $dbpass, $dbname);

if (!$konek) {
$error = 1;
$ernot = '<div class="box">Tidak dapat terhubung ke database, pastikan konfigurasi anda benar.<br/>
<a href="/install.php">&laquo; Coba lagi</a></div>';
} elseif (file_exists('db.php')) {
$error = 1;
$ernot =  '<div class="box">File <b>db.php</b> sudah ada, mohon hapus terlebih dahulu sebelum melanjutkan proses instalasi.<br/><a href="/install.php">&laquo; Coba lagi</a></div>';
} elseif (empty($full || $login || $pass)) {
$error = 1;
$ernot =  '<div class="box">Kolom dengan tanda <font color="red">*</font> harus diisi dan tidak boleh kosong.<br/>
<a href="/install.php">&laquo; Coba lagi</a></div>';
} elseif (strlen($full) < 3) {
$error = 1;
$ernot = '<div class="box">Nama lengkap paling sedikit 3 karakter.<br/>
<a href="/install.php">&laquo; Coba lagi</a></div>';
} elseif (strlen($full) > 20) {
$error = 1;
$ernot = '<div class="box">Nama lengkap tidak boleh lebih dari 20 karakter.<br/>
<a href="/install.php">&laquo; Coba lagi</a></div>';
} elseif (strlen($login) < 3) {
$error = 1;
$ernot = '<div class="box">Nama pengguna minimal 3 karakter dan tanpa spasi.<br/>
<a href="/install.php">&laquo; Coba lagi</a></div>';
} elseif (strlen($login) > 10) {
$error = 1;
$ernot = '<div class="box">Nama pengguna maksimal 10 karakter dan tanpa spasi.<br/>
<a href="/install.php">&laquo; Coba lagi</a></div>';
} elseif (strlen($pass) < 6) {
$error = 1;
$ernot = '<div class="box">Kata sandi minimal 6 karakter.<br/>
<a href="/install.php">&laquo; Coba lagi</a></div>';
} elseif (!$error) {
$udi = new mysqli($dbhost, $dbuser, $dbpass, $dbname);
$sql = fopen("struktur.sql", "r");
$query = fread($sql, filesize("struktur.sql"));
fclose($sql);
$query = preg_replace("~(--|##)[^\r]*\r~","\r",$query);
$query = explode(";",$query);

foreach ($query as $proses) {
if (!empty($proses)) {
$udi->query($proses);
}}

$udi->query("INSERT INTO `blog_user` SET `user` = '$login', `sandi` = '".md5(md5($pass))."', `nama` = '$full'");

$udi->query("INSERT INTO `blog_post` SET `id` = '1', `permalink` = 'hello-world', `tgl` = '".time()."', `judul` = 'Hello World', `text` = 'Terima kasih telah menggunakan skrip UBlog ini sebagai engine blog anda. Ini adalah postingan pertama anda, silahkan edit atau hapus melalui admin panel.', `kategori` = '1-lainnya', `by` = '1', `status` = '1', `upby` = '1', `upat` = '".time()."'");

$udi->query("INSERT INTO `blog_kom` SET `id` = '1', `idpost` = '1', `nama` = 'Brama Udi', `url` = 'http://facebook.com/cyromage', `tgl` = '".time()."', `text` = 'Selamat datang di UBlog, saya ucapkan terima kasih banyak karena telah memakai skrip ini, harap tidak diperjual belikan karena skrip ini gratis. Silahkan kembangkan dan bagikan skrip UBlog ini secara bebas namun tanpa harus mengubah identitas pembuat skrip. Makasih, maaf nyampah :v', `status` = '1'");

$dbfile = "<?php
define ('DBHOST', '$dbhost');
define ('DBNAME', '$dbname');
define ('DBUSER', '$dbuser');
define ('DBPASS', '$dbpass');
?>";

file_put_contents('db.php', $dbfile);
chmod('db.php', 0664);
unlink('struktur.sql');

$ernot = '<div class="box" style="color:green !important;border:1px solid green !important">Proses instalasi berhasil, silahkan hapus file <b>install.php</b></div>
<div class="box">
Akun Administrator<br /><br />
- Nama pengguna: <b>'.$login.'</b><br />
- Kata sandi: <b>'.$pass.'</b></div>';

}
}
print @$ernot;
if (!isset($_GET['hajar'])) {
echo '<div class="box">
Selamat datang! Saat ini anda sedang melalui tahap installasi engine CMS Ublog, script CMS Blog open-source rasa premium ini bebas anda kembangkan walau anda telah mengubah nama pembuat script dibagian footer sekali pun namun jangan mengubah / menghilangkan inisial pembuat didalam file script. Terima kasih telah menggunakan CMS Blog karya anak bangsa ini.</div>
<div class="box"><form action="?hajar" method="post">
Host:<br /><input type="text" name="dbhost" value="localhost" /><br />
Username:<br /><input type="text" name="dbuser" /><br />
Password:<br /><input type="password" name="dbpass" /><br />
Database:<br /><input name="dbname" type="text" /><br />
</div>
<div class="ttl">Akun Administrator</div>
<div class="box">
Nama pengguna (max. 10): <font color="red">*</font><br /><input name="login" type="text" maxlength="10" /><br />
Kata sandi (min. 6): <font color="red">*</font><br /><input name="pass" type="text" minlength="6" /><br/><br />
Nama Lengkap (max. 20): <font color="red">*</font><br /><input name="full" type="text" maxlength="20" /><br />
<input type="submit" name="install" value="Install"/>
</form></div>';
}
require_once('./inc/foot.php');